revenueMovements

The revenueMovements query in Bunny's GraphQL API, with its arguments, return type and an example request.

Scope required:

For a complete list of possible response fields see the RevenueMovementConnection type.

query revenueMovements ($filter: String, $viewId: ID, $sort: String, $after: String, $before: String, $first: Int, $last: Int) {
  revenueMovements (filter: $filter, viewId: $viewId, sort: $sort, after: $after, before: $before, first: $first, last: $last) {
    edges {
      cursor
      node {
        accountId
        currencyId
        date
        id
        manual
        movementType
        recurringAmount
        totalAmount
        usageAmount
        usageMovementType
      }
    }
    totalCount
    pageInfo {
      startCursor
      endCursor
      hasNextPage
      hasPreviousPage
    }
  }
}

ArgumentsLink to Arguments section

Name Type Description
filter String  
viewId ID  
sort String  
after String Returns the elements in the list that come after the specified cursor.
before String Returns the elements in the list that come before the specified cursor.
first Int Returns the first n elements from the list.
last Int Returns the last n elements from the list.

ResponseLink to Response section